## trinityrnaseq 2.15.2+dfsg

=== Makefile ===
###################################################################
#
# The default compiler is GNU gcc/g++.
# Run
#  make TRINITY_COMPILER=intel
# to build Inchworm and Chrysalis with the Intel compiler.
#


export TRINITY_HOME = $(PWD)

ifeq ($(TRINITY_COMPILER),intel)
 INCHWORM_CONFIGURE_FLAGS = CXX=icpc CXXFLAGS="-fast"
 CHRYSALIS_MAKE_FLAGS = COMPILER=icpc
else
 override TRINITY_COMPILER=gnu
endif


all: inchworm_target chrysalis_target trinity_essentials
	sh ./util/support_scripts/trinity_install_tests.sh


no_bamsifter: inchworm_target chrysalis_target
	cd trinity-plugins && $(MAKE) no_bamsifter

install:
	util/support_scripts/trinity_installer.py

inchworm_target:
	@echo Using $(TRINITY_COMPILER) compiler for Inchworm and Chrysalis
	cd Inchworm && $(MAKE)

chrysalis_target:
	cd Chrysalis && $(MAKE)


trinity_essentials:
	cd trinity-plugins && $(MAKE) trinity_essentials


plugins:
	cd trinity-plugins && $(MAKE) plugins
	sh ./util/support_scripts/plugin_install_tests.sh

test:
	@echo
	@echo "Checking for Trinity essentials (built from 'make all'):"
	sh ./util/support_scripts/trinity_install_tests.sh
	@echo
	@echo "Checking for plugins (built from 'make plugins'):"
	sh ./util/support_scripts/plugin_install_tests.sh
	@echo "Run 'make test_trinity' if you want to test Trinity execution on a small data set"

clean:
	cd Inchworm && $(MAKE) clean
	cd Chrysalis && $(MAKE) clean 
	cd trinity-plugins && $(MAKE) clean 
	cd sample_data/ && $(MAKE) clean


test_trinity:
	cd sample_data/test_Trinity_Assembly && $(MAKE) test


# note 'test_all': ** this is for a more advanced installation including devel features **

test_all:
	cd sample_data/ && $(MAKE) test_all
	./__pull_trinity_ext_sample_data.sh
	cd trinity_ext_sample_data/ && $(MAKE) test

test_clean:
	cd sample_data/ && $(MAKE) clean
	cd trinity_ext_sample_data/ && $(MAKE) clean

###################################################################

=== Chrysalis/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
find_program(CMAKE_C_COMPILER NAMES $ENV{CC} gcc PATHS ENV PATH NO_DEFAULT_PATH})
find_program(CMAKE_CXX_COMPILER NAMES $ENV{CXX} g++ PATHS ENV PATH NO_DEFAULT_PATH})

project (Inchworm)

enable_language(CXX)

set(default_build_type "Release")

if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "${Red}No build type specified so building in RELEASE mode.${ColourReset}")
    set(CMAKE_BUILD_TYPE "${default_build_type}")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe -W -Wall -Wpedantic -fopenmp -pthread -m64")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2  -DNDEBUG ")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -O0")

set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lm -ldl ")

MESSAGE(STATUS "system: ${CMAKE_SYSTEM_NAME}")
if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lrt")
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++")
endif(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")


include_directories( BEFORE "${CMAKE_SOURCE_DIR}" )


############
## Chrysalis 
############

set(Chrysalis_SOURCES aligns/KmerAlignCore.cc
                      analysis/AACodons.cc
                      analysis/Chrysalis.cc
                      analysis/DNAVector.cc
                      analysis/TranscriptomeGraph.cc
                      base/ErrorHandling.cc
                      base/FileParser.cc
                      base/StringUtil.cc
                      util/mutil.cc )

add_executable(Chrysalis ${Chrysalis_SOURCES})
install(TARGETS Chrysalis DESTINATION bin)


#################
## GraphFromFasta
#################

set(GraphFromFasta_SOURCES aligns/KmerAlignCore.cc
                           analysis/AACodons.cc
                           analysis/DNAVector.cc
                           analysis/DeBruijnGraph.cc
                           analysis/GraphFromFasta.cc
                           analysis/KmerTable.cc
                           analysis/NonRedKmerTable.cc
                           analysis/sequenceUtil.cc
                           analysis/stacktrace.cc
                           base/ErrorHandling.cc
                           base/FileParser.cc
                           base/StringUtil.cc
                           util/mutil.cc )

add_executable(GraphFromFasta ${GraphFromFasta_SOURCES})
install(TARGETS GraphFromFasta DESTINATION bin)


################
## QuantifyGraph
################

set(QuantifyGraph_SOURCES aligns/KmerAlignCore.cc
                          analysis/AACodons.cc
                          analysis/DNAVector.cc
                          analysis/KmerTable.cc
                          analysis/NonRedKmerTable.cc
                          analysis/QuantifyGraph.cc
                          base/ErrorHandling.cc
                          base/FileParser.cc
                          base/StringUtil.cc
                          analysis/sequenceUtil.cc
                          analysis/stacktrace.cc
                          util/mutil.cc )

add_executable(QuantifyGraph ${QuantifyGraph_SOURCES})
install(TARGETS QuantifyGraph DESTINATION bin)

#####################
## ReadsToTranscripts
#####################


set(ReadsToTranscripts_SOURCES analysis/AACodons.cc
                               analysis/DNAVector.cc
                               analysis/NonRedKmerTable.cc
                               analysis/ReadsToTranscripts.cc
                               analysis/sequenceUtil.cc
                               analysis/stacktrace.cc
                               base/ErrorHandling.cc
                               base/FileParser.cc
                               base/StringUtil.cc
                               util/mutil.cc )

add_executable(ReadsToTranscripts ${ReadsToTranscripts_SOURCES})
install(TARGETS ReadsToTranscripts DESTINATION bin)


#####################
## BubbleUpClustering
#####################

set(BubbleUpClustering_SOURCES aligns/KmerAlignCore.cc
                               analysis/AACodons.cc
                               analysis/BubbleUpClustering.cc
                               analysis/DNAVector.cc
                               analysis/DeBruijnGraph.cc
                               analysis/KmerTable.cc
                               analysis/NonRedKmerTable.cc
                               analysis/sequenceUtil.cc
                               analysis/stacktrace.cc
                               base/ErrorHandling.cc
                               base/FileParser.cc
                               base/StringUtil.cc
                               util/mutil.cc )

add_executable(BubbleUpClustering ${BubbleUpClustering_SOURCES})
install(TARGETS BubbleUpClustering DESTINATION bin)


#########################
## CreateIwormFastaBundle
#########################

set(CreateIwormFastaBundle_SOURCES analysis/AACodons.cc
                                   analysis/CreateIwormFastaBundle.cc
                                   analysis/DNAVector.cc
                                   base/ErrorHandling.cc
                                   base/FileParser.cc
                                   base/StringUtil.cc
                                   util/mutil.cc )

add_executable(CreateIwormFastaBundle ${CreateIwormFastaBundle_SOURCES})
install(TARGETS CreateIwormFastaBundle DESTINATION bin)

=== Inchworm/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1)
find_program(CMAKE_C_COMPILER NAMES $ENV{CC} gcc PATHS ENV PATH NO_DEFAULT_PATH})
find_program(CMAKE_CXX_COMPILER NAMES $ENV{CXX} g++ PATHS ENV PATH NO_DEFAULT_PATH})

project (Inchworm)

enable_language(CXX)

set(default_build_type "Release")

if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "${Red}No build type specified so building in RELEASE mode.${ColourReset}")
    set(CMAKE_BUILD_TYPE "${default_build_type}")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe -W -Wall -Wpedantic -fopenmp -m64")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2 -DNDEBUG ")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -g -O0")

set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lm -ldl ")

MESSAGE(STATUS "system: ${CMAKE_SYSTEM_NAME}")
if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lrt")
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Darwin")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++")
endif(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")


set(inchworm_SOURCES src/Fasta_entry.cpp
                     src/IRKE_run.cpp
                     src/sequenceUtil.cpp
                     src/IRKE.cpp
                     src/KmerCounter.cpp
                     src/string_util.cpp 
                     src/Fasta_reader.cpp
                     src/IRKE.hpp
                     src/stacktrace.cpp
                     src/argProcessor.cpp)
add_executable(inchworm ${inchworm_SOURCES})
install(TARGETS inchworm DESTINATION bin)


set(FastaToDeBruijn_SOURCES src/FastaToDeBruijn.cpp
                            src/argProcessor.cpp
                            src/Fasta_reader.cpp
                            src/Fasta_entry.cpp
                            src/sequenceUtil.cpp
                            src/string_util.cpp
                            src/stacktrace.cpp
                            src/DeBruijnGraph.cpp)
add_executable(FastaToDeBruijn ${FastaToDeBruijn_SOURCES})
install(TARGETS FastaToDeBruijn DESTINATION bin)



set(fastaToKmerCoverageStats_SOURCES src/fastaToKmerCoverageStats.cpp
                                     src/argProcessor.cpp
                                     src/Fasta_reader.cpp
                                     src/Fasta_entry.cpp
                                     src/sequenceUtil.cpp
                                     src/string_util.cpp
                                     src/stacktrace.cpp
                                     src/KmerCounter.cpp)
add_executable(fastaToKmerCoverageStats ${fastaToKmerCoverageStats_SOURCES})
install(TARGETS fastaToKmerCoverageStats DESTINATION bin)

=== sample_data/Makefile ===
DIRS = test_Trinity_Assembly

test_all: test_trin_assembly

test_trin_assembly:
	cd test_Trinity_Assembly && $(MAKE) test_all


clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== trinity-plugins/Makefile ===

OS := $(shell uname)

CXX = g++
CC = gcc
COLLECTL_CODE="collectl-4.1.0"
PARAFLY_CODE="ParaFly"
TRIMMOMATIC_CODE=Trimmomatic-0.36



trinity_essentials: seqtk_target parafly_target trimmomatic_target bamsifter_target

no_bamsifter: seqtk_target parafly_target trimmomatic_target


trimmomatic_target:
	ln -sf ${TRIMMOMATIC_CODE} Trimmomatic


seqtk_target:
	cd seqtk-trinity && $(MAKE) CXX=$(CXX) CC=$(CC)
	mv seqtk-trinity/seqtk-trinity ./BIN/.

parafly_target:
	cd ${PARAFLY_CODE} && sh ./configure --prefix=`pwd` CXX=$(CXX) CC=$(CC) CFLAGS="-fopenmp" CXXFLAGS="-fopenmp" && $(MAKE) install && \
	cp bin/ParaFly ../BIN/


bamsifter_target:
	cd bamsifter && make

##################################
### Needed for downstream analyses
##################################

plugins: slclust_target collectl_target
	@echo "\n\n** Done building plugins **\n\n"


slclust_target:
	cd slclust && $(MAKE) CXX=$(CXX) CC=$(CC) install

collectl_target:
	cd COLLECTL && tar xvf ${COLLECTL_CODE}.src.tar.gz && ln -sf ${COLLECTL_CODE} collectl

clean:
	cd seqtk-trinity && $(MAKE) clean
	cd scaffold_iworm_contigs && $(MAKE) clean
	cd ${PARAFLY_CODE} && $(MAKE) clean
	rm -f ./Trimmomatic # rm symlink
	cd slclust && $(MAKE) clean
	cd COLLECTL && rm -rf ${COLLECTL_CODE} && rm -f collectl
	cd htslib && $(MAKE) clean
	cd bamsifter && $(MAKE) clean
	rm -f ./htslib.ok
	@echo "\n\n** Done cleaning plugins area **"


###################################################################

=== trinity_ext_sample_data/Makefile ===

DIRS = test_GenomeGuidedTrinity \
test_InSilicoReadNormalization \
test_DE_analysis \
test_align_and_estimate_abundance \
test_full_edgeR_pipeline \
test_GOSeq_trinotate_pipe \
test_profiling_report \
test_PtR \
test_DTU \
test_VariantCalling \
test_tximport \
test_SuperTranscript \
test_TPM_weighted_gene_length \
test_ExN50 \
test_Assembly_DiffReadFormattings \
test_LongReads


test:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) test) || exit $$?; done



clean:
	@for i in $(DIRS); do \
	echo "Running example in $$i..."; \
	(cd $$i; $(MAKE) clean) || exit $$?; done

=== trinity-plugins/ParaFly/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/parafly
pkgincludedir = $(includedir)/parafly
pkglibdir = $(libdir)/parafly
pkglibexecdir = $(libexecdir)/parafly
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure depcomp install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run tar
AM_CXXFLAGS = -pedantic -Wall -Wextra -Wno-long-long -Wno-deprecated -m64
AUTOCONF = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run automake-1.11
AWK = gawk
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fopenmp
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/missing --run makeinfo
MKDIR_P = /usr/bin/mkdir -p
OBJEXT = o
PACKAGE = parafly
PACKAGE_BUGREPORT = bug-report@address
PACKAGE_NAME = Parafly
PACKAGE_STRING = Parafly 0.1
PACKAGE_TARNAME = parafly
PACKAGE_VERSION = 0.1
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.1
abs_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_top_builddir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
abs_top_srcdir = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
ac_ct_CXX = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /usr/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/bhaas/GITHUB/trinityrnaseq/trinity-plugins/ParaFly
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = src
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== trinity-plugins/scaffold_iworm_contigs/Makefile ===
CXX    ?= g++
prefix = ../htslib

ScaffoldIwormContigs:
	$(CXX) $(LDFLAGS) -I$(prefix) -L$(prefix) $(CPPFLAGS) $(CXXFLAGS) ScaffoldIwormContigs.cpp error_checker.cpp -lhts -o scaffold_iworm_contigs

clean:
	rm -f scaffold_iworm_contigs

=== trinity-plugins/slclust/Makefile ===
# Brian J. Haas

SUBS = src

all install depend clean:
	X=`pwd`; \
	for i in $(SUBS); \
	do echo '<<<' $$i '>>>'; cd $$X/$$i; $(MAKE) $@; done

# DO NOT DELETE

=== trinity_ext_sample_data/test_Assembly_DiffReadFormattings/Makefile ===

MINASM=9


test: forward_reverse stripped


regular:
	${TRINITY_HOME}/Trinity --left reads.left.fq.gz --right reads.right.fq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_outdir --output trinity_regular_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_regular_outdir.Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM} trinity_regular_outdir.Trinity.fasta

forward_reverse:
	${TRINITY_HOME}/Trinity --left reads.ForRev_1.fastq.gz --right reads.ForRev_2.fastq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_ForwRev_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_ForwRev_outdir.Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM} trinity_ForwRev_outdir.Trinity.fasta

stripped:
	${TRINITY_HOME}/Trinity --left reads.left.stripped.fq.gz --right reads.right.stripped.fq.gz --seqType fq  --SS_lib_type RF --CPU 2 --max_memory 1G --output trinity_stripped_outdir --no_cleanup
	${TRINITY_HOME}/Analysis/FL_reconstruction_analysis/FL_trans_analysis_pipeline.pl --query trinity_stripped_outdir.Trinity.fasta --target ${TRINITY_HOME}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/refSeqs.fa --no_reuse
	./ensure_min_asm.pl ${MINASM} trinity_stripped_outdir.Trinity.fasta

clean:
	rm -rf ./trinity*outdir
	rm -f ./trinity*outdir.Trinity.fasta*

=== trinity_ext_sample_data/test_DTU/Makefile ===
test:
#	./runMe.sh STAR
	./runMe.sh HISAT2

clean:
	./cleanMe.pl

=== trinity_ext_sample_data/test_ExN50/Makefile ===
test: transcript gene more



transcript:
	${TRINITY_HOME}/util/misc/contig_ExN50_statistic.pl ../test_DATA/salmon-quasi-trans.isoform.TMM.EXPR.matrix ../test_DATA/Trinity.fasta transcript > test.transcript.ExN50
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript test.transcript.ExN50
	${TRINITY_HOME}/util/misc/try_estimate_TPM_filtering_threshold.Rscript --E_inputs salmon-quasi-trans.isoform.TMM.EXPR.matrix.by-transcript.E-inputs --out_pdf estimate_TPM_threshold.by_gene.pdf


gene:
	${TRINITY_HOME}/util/misc/contig_ExN50_statistic.pl ../test_DATA/salmon-quasi-trans.isoform.TMM.EXPR.matrix ../test_DATA/Trinity.fasta gene > test.gene.ExN50
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript test.gene.ExN50
	${TRINITY_HOME}/util/misc/try_estimate_TPM_filtering_threshold.Rscript --E_inputs salmon-quasi-trans.isoform.TMM.EXPR.matrix.by-gene.E-inputs --out_pdf estimate_TPM_threshold.by_gene.pdf


more: acanth mouse axolotl


acanth:
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript more_examples/acanth.ExN50.stats
	${TRINITY_HOME}/util/misc/try_estimate_TPM_filtering_threshold.Rscript --E_inputs more_examples/acanth.E-inputs.gz --out_pdf acanth.threshold_estimate.pdf

mouse:
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript more_examples/mouse.50M.ExN50.stats 
	${TRINITY_HOME}/util/misc/try_estimate_TPM_filtering_threshold.Rscript --E_inputs more_examples/mouse50M.E-inputs.gz --out_pdf mouse50M.threshold_estimate.pdf

axolotl:
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript more_examples/axolotl.transcript.ExN50.stats
	${TRINITY_HOME}/util/misc/plot_ExN50_statistic.Rscript more_examples/axolotl.gene.ExN50.stats



clean:
	rm -f ./salmon* ./test.* ./estimate_TPM_threshold* ./*.pdf

=== debian/changelog ===
trinityrnaseq (2.15.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113587
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 16:18:48 +0200

trinityrnaseq (2.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Delete patch R_4.2_fix, it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Aug 2024 23:59:34 +0200

=== debian/control ===
Source: trinityrnaseq
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libjung-free-java,
 javahelper,
 libgetopt-java,
 default-jdk,
 libjs-jquery,
 jaligner,
 libhts-dev,
 zlib1g-dev,
 cmake,
Vcs-Browser: https://salsa.debian.org/med-team/trinityrnaseq
Vcs-Git: https://salsa.debian.org/med-team/trinityrnaseq.git
Homepage: https://github.com/trinityrnaseq/trinityrnaseq
Rules-Requires-Root: no

Package: trinityrnaseq
Architecture: amd64 arm64 ppc64el riscv64 loong64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${java:Depends},
 bowtie,
 bowtie2,
 libwww-perl,
 default-jre-headless,
 samtools,
 jellyfish,
 r-base-core,
 rsem,
 berkeley-express,
 trimmomatic,
 parafly,
 ncbi-blast+,
 python3,
 liburi-perl,
 python3-htseq,
 subread,
 kallisto,
Recommends:
 ${java:Recommends},
 curl,
 trinityrnaseq-examples,
 picard-tools,
 tabix,
 gmap,
 salmon,
 rna-star,
 hisat2,
 r-cran-tidyverse,
 r-cran-readr,
 r-bioc-edger,
 r-bioc-deseq2,
 r-bioc-rots,
 r-cran-cluster,
 r-cran-fastcluster,
 r-bioc-ctc,
 r-bioc-goseq,
 r-cran-goplot,
 r-cran-gplots,
 r-bioc-dexseq,
 r-cran-ape,
 r-bioc-biobase,
 r-bioc-qvalue,
 r-cran-argparse,
 r-cran-kernsmooth,
 python3-numpy,
 python3-hisat2,
Suggests:
 collectl,
 transdecoder,
 r-bioc-tximport,
 r-bioc-tximportdata,
Description: RNA-Seq De novo Assembly
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.

Package: trinityrnaseq-examples
Architecture: amd64 arm64 ppc64el riscv64 loong64
Depends:
 ${perl:Depends},
 ${java:Depends},
 ${misc:Depends},
 r-base-core,
Recommends:
 trinityrnaseq,
Description: RNA-Seq De novo Assembly common example and testing files
 Trinity represents a novel method for the efficient and robust de novo
 reconstruction of transcriptomes from RNA-seq data. Trinity combines three
 independent software modules: Inchworm, Chrysalis, and Butterfly, applied
 sequentially to process large volumes of RNA-seq reads. Trinity partitions
 the sequence data into many individual de Bruijn graphs, each representing the
 transcriptional complexity at a given gene or locus, and then processes
 each graph independently to extract full-length splicing isoforms and to tease
 apart transcripts derived from paralogous genes.
 .
 This package contains testing & example files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES_CMAKE = Inchworm Chrysalis
SOURCE_DIRECTORIES_SIMPLE_CLEAN = trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs trinity-plugins/bamsifter
SOURCE_DIRECTORIES_SIMPLE_ALL = ${SOURCE_DIRECTORIES_SIMPLE_CLEAN} trinity-plugins/seqtk-trinity
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_autoreconf:
	echo No need to run autoreconf

override_dh_auto_configure:
	rm -f Chrysalis/Makefile
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_configure \
                --sourcedirectory=$${target} --builddirectory=$${target}_build -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 ; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_build \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_build \
                --sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_clean \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_CLEAN}; do dh_auto_clean \
                --sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust
	cd trinity-plugins && $(MAKE) clean || true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/Butterfly/src/sample_data/c1.graph --stderr -V 20
endif

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_install \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_install \
                --sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
	find debian -name __pycache__ -type d | xargs rm -rf

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/test_Inchworm/runMe_MPI.sh \

override_dh_fixperms:
	dh_fixperms
	find debian -name genwig.sh -exec chmod +x \{\} \;
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/watch ===
Version: 5

Template: Github
Owner: trinityrnaseq
Project: trinityrnaseq
Repack-Suffix: +dfsg
Dversion-Mangle: auto
